Package com.verisign.epp.codec.persreg

## Class EPPPersRegTst

- java.lang.Object
- - com.verisign.epp.codec.persreg.EPPPersRegTst

-     public class EPPPersRegTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.persreg package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.persreg package concrete extension `EPPCodecComponent`'s. The Domain and Email Forwarding commands and responses are used to test extending both.
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPPersRegTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPPersRegTst`.
    `static void` | `setFactory​(javax.xml.parsers.DocumentBuilderFactory aFactory)` | Sets the XML document builder factory to use during the test.
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `static void` | `setValidate​(boolean aValidate)` | Sets XML parser validation on/off.
    `void` | `testPersRegCreate()` | Unit test of extending the Domain and Email Forwarding create commands and responses.
    `void` | `testPersRegInfo()` | Unit test of extending the Domain and Email Forwarding info responses.
    `void` | `testPersRegRenew()` | Unit test of extending the Domain and Email Forwarding renew responses.
    `void` | `testPersRegTransfer()` | Unit test of extending the Domain and Email Forwarding transfer responses.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPPersRegTst

          public EPPPersRegTst()

  - ### Method Detail

    - #### testPersRegInfo

          public void testPersRegInfo()

      Unit test of extending the Domain and Email Forwarding info responses.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testPersRegCreate

          public void testPersRegCreate()

      Unit test of extending the Domain and Email Forwarding create commands and responses.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testPersRegRenew

          public void testPersRegRenew()

      Unit test of extending the Domain and Email Forwarding renew responses.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testPersRegTransfer

          public void testPersRegTransfer()

      Unit test of extending the Domain and Email Forwarding transfer responses.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPPersRegTst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test

    - #### setValidate

          public static void setValidate​(boolean aValidate)

      Sets XML parser validation on/off.
      Parameters:
        `aValidate` - `true` to turn XML parser validation on; `false` otherwise.

    - #### setFactory

          public static void setFactory​(javax.xml.parsers.DocumentBuilderFactory aFactory)

      Sets the XML document builder factory to use during the test.
      Parameters:
        `aFactory` - Initialized instance of `DocumentBuilderFactory`. The `DocumentBuilderFactory` is used to turn on/off attributes like validation and namespace awareness.